View Issue Details

IDProjectCategoryView StatusLast Update
0017935MediaMonkey 5Main Panel: Toolbars & Menuspublic2021-09-10 18:35
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilitysometimes
Status feedbackResolutionreopened 
Product Version5.0.1 
Target Version5.0.2Fixed in Version5.0.1 
Summary0017935: Options dialog appears in black and MM cannot be closed (focus issue?)
DescriptionI've seen this occur twice in 5.0.1 but I can't figure out how to replicate. The steps were along the following lines:

1 Play music
2 Open Options dialog (in Search settings)
3 Switch to Options > Layout
4 Disable Preview and Press OK
--> Options dialog changes to black and appears to remain in focus, but cannot be closed (it has no controls), though it can be moved/resized. Moving it offscreen and back onscreen doesn't cause it to redraw (and probably shouldn't since it should have been closed).
--> MM playback continues (and Windows Player controls continue to work fine)
BUT, there's no obvious way to get the dialog to close, so MM must be force-closed.

I realize that without a log/repro steps this is a rather weak bug report, but I'm noting it since it's the second time it's occurred and I'm hoping that Petr might have an idea based on the steps described.
Additional InformationApparently some users see this issue more often and in other scenarios--see:
https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=98767&p=480406
- ticket # 1470
- ticket # 2160 / https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=99574
TagsNo tags attached.
Fixed in build2428

Relationships

related to 0018165 newpetr Dialogs resize after switching between monitors 
related to 0017591 closedpetr Option panel opens behind the Auto-tag panel (regression) 
related to 0017978 closedpetr Multiple 'Scan Results' dialogs appear & can block UI interactions (focus issue) 
related to 0015701 feedbackpetr Menu issues in multi-monitor environments / windowing problem 

Activities

petr

2021-06-08 16:58

developer   ~0063815

I've added some debug messages so please retest in next build.

peke

2021-06-09 10:45

developer   ~0063851

I tested in 2413 and also can't reproduce.

rusty

2021-06-18 00:01

administrator   ~0063984

Unable to replicate in 2417.

rusty

2021-07-22 21:10

administrator   ~0064273

Last edited: 2021-07-22 21:21

View 2 revisions

I just replicated this once as follows (these steps don't replicate the issue consistently):
0 Laptop is configured to display screens in extended mode. Laptop cover is closed.
1 Run MM (it appears in monitor)
2 Open Options dialog several levels deep and cancel out; do the same with the Rip dialog and cancel out
--> No bug
3 Open laptop cover
--> All apps switch to the laptop
4 Open the Rip dialog, configure MP3 settings, and cancel out
--> Blank black Rip dialog!

Debug log attached.

petr

2021-07-26 07:53

developer   ~0064288

Made some changes and added debug messages for next build.

peke

2021-07-27 02:28

developer   ~0064297

Verified 2429

Looks like it is fixed. I managed to replicate only once in 2427 from steps at 0017935:0064273, but never in 2429.

Left resolved till users confirm or no reports are filed after 5.0.1 is released.

rusty

2021-07-27 20:28

administrator   ~0064308

Unable to replicate in 2430.

rusty

2021-07-28 21:39

administrator   ~0064319

Last edited: 2021-07-28 21:41

View 2 revisions

The user at ticket 1470 has confirmed that this issue is still occurring for him. He also mentioned that using RDP can trigger the problem.